/*****
*
*   HuffmanNode.js
*
*   copyright 2003, Kevin Lindsey
*   licensing info available at: http://www.kevlindev.com/license.txt
*
*****/

/*****
*
*   class variables
*
*****/
HuffmanNode.VERSION = 1.0;


/*****
*
*   constructor
*
*****/
function HuffmanNode(value) {
    if ( arguments.length > 0 ) {
        this.value = value;
        this.count = 0;
        this.savedCount = 0;
        this.childZero = null;
        this.childOne = null;
    }
}


/*****
*
*   setChildren
*
*****/
HuffmanNode.prototype.setChildren = function(childZero, childOne) {
    this.count = childZero.count + childOne.count;
    this.childZero = childZero;
    this.childOne = childOne;

    // mark child counts to zero to inactivate them in the node list
    childZero.savedCount = childZero.count;
    childZero.count = 0;
    childOne.savedCount = childOne.count;
    childOne.count = 0;
};
